Subject: bug#53724: closed (Re: bug#53724: [PATCH staging 0/2] gnu: tbb: Fix build on AArch64; update to 2021.5.0.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 05 Feb 2022 00:16:02 +0000

Your bug report

#53724: [PATCH staging 0/2] gnu: tbb: Fix build on AArch64; update to 2021.5.0.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53724: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53724
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53724: [PATCH staging 0/2] gnu: tbb: Fix build on AArch64; update to 2021.5.0.
From: Ludovic Courtès <[email-masked]>
To: Simon South <[email-masked]>
Cc: [email-masked]
Date: Sat, 05 Feb 2022 01:15:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Simon South <[email-masked]> skribis:

> These patches
>
> - Allow the tbb package to build on AArch64 by backporting an upstream commit
>   that prevents one of the test cases from failing on that platform[0], and
>
> - Update tbb itself to 2021.5.0.
>
> On x86-64 the updated package and its 320 dependents build for me without any
> new failures: only dealii-openmpi, python-dolfin-adjoint, python-vedo and
> shogun fail, as they all do presently on the staging branch.
>
> On AArch64 the updated package now builds fine and I'm in the (lengthy)
> process of checking its dependencies, though an unrelated build failure in
> ceres-solver and the lack of a Haskell compiler limit how far this will go
> anyway.

Perfect!

>   gnu: tbb: Fix test on AArch64.
>   gnu: tbb: Update to 2021.5.0.

It’s slightly above the limit stated in the manual but I thought it
would be reasonable to have it on ‘master’, so I did that.

Thank you!

Ludo’.

Subject: [PATCH staging 0/2] gnu: tbb: Fix build on AArch64; update to 2021.5.0.
From: Simon South <[email-masked]>
To: [email-masked]
Date: Wed, 2 Feb 2022 09:41:00 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

These patches

- Allow the tbb package to build on AArch64 by backporting an upstream commit
  that prevents one of the test cases from failing on that platform[0], and

- Update tbb itself to 2021.5.0.

On x86-64 the updated package and its 320 dependents build for me without any
new failures: only dealii-openmpi, python-dolfin-adjoint, python-vedo and
shogun fail, as they all do presently on the staging branch.

On AArch64 the updated package now builds fine and I'm in the (lengthy)
process of checking its dependencies, though an unrelated build failure in
ceres-solver and the lack of a Haskell compiler limit how far this will go
anyway.

[0] See https://github.com/oneapi-src/oneTBB/issues/687

--
Simon South
[email-masked]

Simon South (2):
  gnu: tbb: Fix test on AArch64.
  gnu: tbb: Update to 2021.5.0.

 gnu/local.mk                                  |  1 +
 .../patches/tbb-fix-test-on-aarch64.patch     | 35 +++++++++++++++++++
 gnu/packages/tbb.scm                          |  8 +++--
 3 files changed, 42 insertions(+), 2 deletions(-)
 create mode 100644 gnu/packages/patches/tbb-fix-test-on-aarch64.patch

base-commit: 1a5302435ff0d2822b823f5a6fe01faa7a85c629
-- 
2.34.0